{ TPlayWav component version 1.0, copyright  A. Meeder, 1996

  ** It's freeware, so you don't have to pay me, but I do not guarantee the working of it

  The most simple component I've ever written. Drop it on your form and call its only method:
  Play(filename) 

  If you have suggestions about TPlayWav or make changes, please mail me: ameeder@dds.nl
}

unit PlayWav;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, MMSystem;

type
  TPlayWav = class(TComponent)
  private
    { Private declarations }
  protected
    { Protected declarations }
  public
    { Public declarations }
    constructor Create(AOwner: TComponent); override;
    destructor Destroy; override;
    procedure Play(WaveFile: TFileName);
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure TPlayWav.Play(WaveFile: TFileName);
var
  PWaveFile : Array[0..250] of Char;
begin
  if (UpperCase(ExtractFileExt(WaveFile)) = '.WAV') and (Length(WaveFile) <= 250) then
  begin
    StrPCopy(PWaveFile, WaveFile);
    try
      sndPlaySound(PWaveFile, SND_ASYNC);
    finally
      // Do nothing
    end;
  end;
end;

constructor TPlayWav.Create(AOwner: TComponent);
begin
  inherited Create(AOwner);
end;

destructor TPlayWav.Destroy;
begin
  inherited Destroy;
end;

procedure Register;
begin
  RegisterComponents('AM Software', [TPlayWav]);
end;

end.
